Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface Assertion

All Superinterfaces:
  M4Data, M4Object

All Known Implementing Classes:
  Assertion

public interface Assertion
extends M4Data

Version:
  $Id: Assertion.java,v 1.6 2006/04/11 14:10:13 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Field Summary
`static java.lang.String` | `TYPE_GREATER_OR_EQUAL`
`static java.lang.String` | `TYPE_GREATER_THAN`
`static java.lang.String` | `TYPE_KNOWN_TYPE`
`static java.lang.String` | `TYPE_LESS_OR_EQUAL`
`static java.lang.String` | `TYPE_LESS_THAN`
`static java.lang.String` | `TYPE_NO_NULLS`
`static java.lang.String` | `TYPE_ORDERED`
`static java.lang.String` | `TYPE_PROJECTION`
`static java.lang.String` | `TYPE_REL_MANY_KEY`
`static java.lang.String` | `TYPE_REL_MANY_TO_ONE`
`static java.lang.String` | `TYPE_REL_ONE_KEY`
`static java.lang.String` | `TYPE_REL_ONE_TO_MANY`
`static java.lang.String` | `TYPE_SUBCONCEPT`
`static java.lang.String` | `TYPE_UNIQUE`

Method Summary
`java.lang.String` | `getAssertionType()`
`java.lang.String` | `getObj1()` Get the myObj1.
`java.lang.String` | `getObj2()` Get the myObj2.
`Operator` | `getTheOperator()` Get the Operator
`void` | `setAssertionType(java.lang.String assertionType)`
`void` | `setObj1(java.lang.String myObj1)` Set the myObj1.
`void` | `setObj2(java.lang.String myObj2)` Set the myObj2.
`void` | `setTheOperator(Operator operator)` Set the Operator.
`void` | `writeAssertion(ExecutableOperator op)` This method remembers the operator assertions for subsequent operations.

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName`

Field Detail

### TYPE_PROJECTION

    public static final java.lang.String TYPE_PROJECTION

See Also:
  Constant Field Values

### TYPE_SUBCONCEPT

    public static final java.lang.String TYPE_SUBCONCEPT

See Also:
  Constant Field Values

### TYPE_GREATER_OR_EQUAL

    public static final java.lang.String TYPE_GREATER_OR_EQUAL

See Also:
  Constant Field Values

### TYPE_LESS_OR_EQUAL

    public static final java.lang.String TYPE_LESS_OR_EQUAL

See Also:
  Constant Field Values

### TYPE_LESS_THAN

    public static final java.lang.String TYPE_LESS_THAN

See Also:
  Constant Field Values

### TYPE_NO_NULLS

    public static final java.lang.String TYPE_NO_NULLS

See Also:
  Constant Field Values

### TYPE_GREATER_THAN

    public static final java.lang.String TYPE_GREATER_THAN

See Also:
  Constant Field Values

### TYPE_ORDERED

    public static final java.lang.String TYPE_ORDERED

See Also:
  Constant Field Values

### TYPE_KNOWN_TYPE

    public static final java.lang.String TYPE_KNOWN_TYPE

See Also:
  Constant Field Values

### TYPE_UNIQUE

    public static final java.lang.String TYPE_UNIQUE

See Also:
  Constant Field Values

### TYPE_REL_ONE_TO_MANY

    public static final java.lang.String TYPE_REL_ONE_TO_MANY

See Also:
  Constant Field Values

### TYPE_REL_MANY_TO_ONE

    public static final java.lang.String TYPE_REL_MANY_TO_ONE

See Also:
  Constant Field Values

### TYPE_REL_MANY_KEY

    public static final java.lang.String TYPE_REL_MANY_KEY

See Also:
  Constant Field Values

### TYPE_REL_ONE_KEY

    public static final java.lang.String TYPE_REL_ONE_KEY

See Also:
  Constant Field Values

Method Detail

### getObj1

    public java.lang.String getObj1()

  Get the myObj1.

### getObj2

    public java.lang.String getObj2()

  Get the myObj2.

### getTheOperator

    public Operator getTheOperator()

  Get the Operator

### setObj1

    public void setObj1(java.lang.String myObj1)

  Set the myObj1.

### setObj2

    public void setObj2(java.lang.String myObj2)

  Set the myObj2.

### setTheOperator

    public void setTheOperator(Operator operator)
                        throws M4Exception

  Set the Operator.

  Throws:
    `M4Exception`

### getAssertionType

    public java.lang.String getAssertionType()

### setAssertionType

    public void setAssertionType(java.lang.String assertionType)

### writeAssertion

    public void writeAssertion(ExecutableOperator op)
                        throws M4CompilerError

  This method remembers the operator assertions for subsequent operations.

  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005